# $Revision: 1.129 $, $Date: 2007/02/01 13:29:30 $
# TODO:
# - are *.po files (beside *.mo) needed in binary package?
Summary:	The GNU Mailing List Management System
Summary(es):	El Sistema de Mantenimiento de listas de GNU
Summary(pl):	System Zarzdzania Listami Pocztowymi GNU
Summary(pt_BR):	O Sistema de Manuteno de listas da GNU
Name:		mailman
Version:	2.1.9
Release:	3
Epoch:		5
License:	GPL v2+
Group:		Applications/System
Source0:	http://dl.sourceforge.net/mailman/%{name}-%{version}.tgz
# Source0-md5:	dd51472470f9eafb04f64da372444835
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-man-pages.tar.bz2
# Source1-md5:	6b55f9f8051c76961b84a12ed17fc14f
Source2:	%{name}.conf
Source3:	%{name}.init
Source4:	%{name}.sysconfig
Source5:	%{name}.logrotate
# Need to check if it's still useful
#Patch0:		%{name}-xss.patch
Patch1:		%{name}-MM_FIND_GROUP_NAME.patch
Patch2:		%{name}-dont-send-broken-reminder-ugly-hack.patch
Patch3:		%{name}-mailmanctl-status.patch
Patch4:		%{name}-cron.patch
Patch5:		%{name}-python-compile.patch
Patch6:		%{name}-build.patch
Patch7:		%{name}-FHS.patch
URL:		http://www.list.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	python >= 2.1
BuildRequires:	python-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post):	/bin/hostname
Requires(post):	grep
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(postun):	fileutils
Requires(postun):	grep
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	/sbin/chkconfig
Requires:	crondaemon
Requires:	rc-scripts
Requires:	smtpdaemon
Requires:	webapps
Requires:	webserver
%pyrequires_eq	python-modules
Provides:	group(mailman)
Provides:	user(mailman)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_queuedir	/var/spool/%{name}
%define		_lockdir	/var/lock/%{name}
%define		_logdir		/var/log/%{name}
%define		_logarchdir	/var/log/archiv/%{name}
%define		_piddir		/var/run/%{name}

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Mailman -- The GNU Mailing List Management System -- is a mailing list
management system written mostly in Python. Features:
- most standard mailing list features, including: moderation, mail
  based commands, digests, etc...
- an extensive Web interface, customizable on a per-list basis,
- web based list administration interface for *all* admin-type tasks
- automatic Web based hypermail-style archives (using pipermail or
  other external archiver), including provisions for private archives
- integrated mail list to newsgroup gatewaying
- integrated newsgroup to mail list gatewaying (polling-based... if
  you have access to the nntp server, you should be able to easily do
  non-polling based news->mail list gatewaying; email viega@list.org
  (I'd like to help get that going and come up with instructions)
- smart bounce detection and correction
- integrated fast bulk mailing
- smart spam protection
- extensible logging
- multiple list owners and moderators are possible
- optional MIME-compliant digests,
- nice about which machine you subscribed from if you're from the
  right domain,

%description -l es
Mailman -- El sistema de manutencin de listas de discusin de la
licencia GNU.

%description -l pl
Mailman -- System Zarzdzania Listami Pocztowymi GNU -- zosta
napisany gwnie w Pythonie. Jego moliwoci to:
- standardowe moliwoci: moderowanie, komendy przesyane poczt,
  digesty itp,
- interfejs WWW konfigurowalny dla kadej listy,
- automatyczny system archiwizowania (z uyciem pipermaila lub innego
  zewntrznego archiwizera) wczajc w to odpowiednie zarzdzanie
  prywatnymi archiwami,
- bramki mail <-> news,
- doskonay system wykrywania odbi i korekcji odbitej poczty,
- system ochrony przed spamem,
- rozszerzone logowanie,
- listy mog by wasnoci wielu osb oraz moderatorw moe by
  kilku.

%description -l pt_BR
O Mailman -- O sistema de gerenciamento de listas de discusso do GNU
--  um sistema de gerenciamento de listas de discusso escrito em sua
maior parte em Python. Caractersticas:

- Maioria das caractersticas de lista de discusso padro, incluindo:
  moderao, comandos baseados em e-mail, compiladores (digests),
  etc...
- Uma interface extensiva da Web, personalizvel lista a lista.
- Interface de administrao de lista baseada na Web para *todas* as
  tarefas de tipo de admin.
- Arquivos automticos de estilo hypermail baseado na Web (usando
  pipermail ou outros arquivadores externos), incluindo provises para
  arquivos privados.
- Lista de e-mails integrada ao gateway de grupo de notcias.
- Grupo de notcias integrado ao gateway de lista de e-mail (baseado
  em consulta... se voc tiver acesso ao servidor nntp, deve ser fcil
  conseguir efetuar notcias baseadas em no-consulta->gateway de
  lista de e-mails; envie um e-mail a viega@list.org, eu gostaria de
  ajudar a manter isto e aparecer com instrues).
- Deteco e correo inteligente de mensagens retornadas.
- Envio de e-mail em massa rpido e integrado.
- Proteo inteligente contra spam.
- Registro amplivel.
- So possveis mltiplos donos e moderadores de lista.
- Compiladores (digests) opcionais compatveis com MIME.
- Informa a partir de qual mquina voc se inscreveu, caso esteja no
  domnio correto.

%prep
%setup -q
#patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%{__aclocal}
%{__autoconf}

%configure \
	--prefix=%{_libdir}/%{name} \
	--exec-prefix=%{_libdir}/%{name} \
	--with-var-prefix=/var/lib/%{name} \
	--with-config-dir=%{_sysconfdir} \
	--with-lock-dir=%{_lockdir} \
	--with-log-dir=%{_logdir} \
	--with-pid-dir=%{_piddir} \
	--with-queue-dir=%{_queuedir} \
	--with-username=%{name} \
	--with-groupname=%{name} \
	--with-mail-gid='mailman' \
	--with-cgi-gid='http' \
	--with-mailhost=localhost.localdomain \
	--with-urlhost=localhost.localdomain \
	--without-permcheck
%{__make}

#%{__make} -C misc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{cron.d,logrotate.d,rc.d/init.d,sysconfig,smrsh},%{_mandir}} \
	$RPM_BUILD_ROOT{%{_sysconfdir},%{_logarchdir}}

PYTHONPATH=$RPM_BUILD_ROOT%{_libdir}/%{name}:$RPM_BUILD_ROOT%{_libdir}/%{name}/pythonlib/
export PYTHONPATH

%{__make} doinstall \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} install-packages -C misc \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

sed 's#/usr#mailman /usr#' cron/crontab.in > $RPM_BUILD_ROOT/etc/cron.d/%{name}
sed -e 's#/usr/lib/mailman#%{_libdir}/mailman#g' %{SOURCE2} \
	> $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
sed -e 's#/usr/lib/mailman#%{_libdir}/mailman#g' %{SOURCE2} \
	> $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
sed -e 's#/usr/lib/mailman#%{_libdir}/mailman#g' %{SOURCE3} \
	> $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE5} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}

mv $RPM_BUILD_ROOT%{_libdir}/%{name}/Mailman/mm_cfg.py $RPM_BUILD_ROOT%{_sysconfdir}
ln -s %{_sysconfdir}/mm_cfg.py $RPM_BUILD_ROOT%{_libdir}/%{name}/Mailman/mm_cfg.py

ln -s %{_sysconfdir}/sitelist.cfg $RPM_BUILD_ROOT%{_var}/lib/mailman/data/sitelist.cfg

cat >> $RPM_BUILD_ROOT%{_sysconfdir}/mm_cfg.py << EOF
DEFAULT_EMAIL_HOST		= 'YOUR.HOST.NAME.HERE'
DEFAULT_URL_HOST		= 'YOUR.HOST.NAME.HERE'
IMAGE_LOGOS			= '/mailman/icons/'
PUBLIC_ARCHIVE_URL		= '/mailman/pipermail/%%(listname)s'
MAILMAN_GROUP			= '%{name}'
MAILMAN_USER			= '%{name}'
#DEFAULT_SERVER_LANGUAGE		= 'pl'

# For available options and their descriptions see:
# %{_libdir}/%{name}/Mailman/Defaults.py
EOF

# Create a link to the wrapper in /etc/smrsh to allow sendmail to run it.
ln -s %{_libdir}/%{name}/mail/%{name} $RPM_BUILD_ROOT/etc/smrsh

# regenerate pyc files with proper paths
find $RPM_BUILD_ROOT -name '*.pyc' -exec rm "{}" ";"
%py_comp $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 94 mailman
%useradd -u 94 -d %{_var}/lib/%{name} -s /bin/false -c "GNU Mailing List Manager" -g mailman mailman

%post
if [ "$1" = "1" ]; then
	%service -q crond restart
fi
%{_libdir}/mailman/bin/update
/sbin/chkconfig --add mailman
if [ -f /var/lock/subsys/mailman ] && [ -d /var/spool/mailman/data ]; then
	ln -sf %{_sysconfdir}/sitelist.cfg /var/spool/mailman/data/sitelist.cfg
fi
%service mailman restart "mailman qrunner daemon"

%preun
if [ "$1" = "0" ]; then
	%service mailman stop
	/sbin/chkconfig --del mailman
fi

%postun
if [ "$1" = "0" ]; then
	%userremove mailman
	%groupremove mailman
	%service -q crond restart
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- mailman < 1:2.1.7-2.1
if [ -f /var/spool/cron/%{name} ]; then
	crontab -u %{name} -r
fi

if [ -f /var/lock/subsys/mailman ]; then
	ln -sf %{_sysconfdir}/sitelist.cfg /var/spool/mailman/data/sitelist.cfg
	/sbin/service mailman stop 1>&2
	stopped=true
fi

# rescue app configs.
for i in mm_cfg.py sitelist.cfg; do
	if [ -f /etc/%{name}/$i.rpmsave ]; then
		mv -f %{_sysconfdir}/$i{,.rpmnew}
		mv -f /etc/%{name}/$i.rpmsave %{_sysconfdir}/$i
	fi
done

if [ "`getent passwd mailman | cut -d: -f6`" != "%{_var}/lib/%{name}" ]; then
	echo "Fixing passwd entry"
	/usr/sbin/usermod -d %{_var}/lib/%{name} mailman
fi
echo "Moving data from /var/spool/mailman to /var/lib/mailman"
mv -f /var/spool/mailman/archives/private/* %{_var}/lib/mailman/archives/private/
mv -f /var/spool/mailman/archives/public/* %{_var}/lib/mailman/archives/public/
mv -f /var/spool/mailman/data/* %{_var}/lib/mailman/data/
mv -f /var/spool/mailman/lists/* %{_var}/lib/mailman/lists/
mv -f /var/spool/mailman/spam/* %{_var}/lib/mailman/spam/
mv -f /var/spool/mailman/logs/* %{_logdir}/
mv -f /var/spool/mailman/locks/* %{_lockdir}/
mv -f /var/spool/mailman/qfiles/* %{_queuedir}/
# Fix symlinks for public archives
cd %{_var}/lib/mailman/archives/public/
for i in * ; do
	link=$(readlink "$i")
	dn=$(dirname "$link")
	if [ "$dn" = "/var/spool/mailman/archives/private" ]; then
		ln -sf "%{_var}/lib/mailman/archives/private/$i" "$i"
	fi
done
cd -
# Remove empty dirs (DON'T rm -rf here!)
rmdir --ignore-fail-on-non-empty /var/spool/mailman/{archives/{private,public},archives,data,lists,spam,logs,locks,qfiles}
if [ -f %{_var}/lib/mailman/Mailman/mm_cfg.pyc ]; then
	rm -f %{_var}/lib/mailman/Mailman/mm_cfg.pyc
fi
%{_libdir}/mailman/bin/update
if [ "$stopped" = "true" ]; then
	rm -f /var/spool/mailman/data/sitelist.cfg
	/sbin/service mailman start 1>&2
fi

# nuke very-old config location (this mostly for Ra)
if [ -f /etc/httpd/httpd.conf ]; then
	sed -i -e "/^Include.*%{name}.conf/d" /etc/httpd/httpd.conf
fi

# migrate from httpd (apache2) config dir
if [ -f /etc/httpd/%{name}.conf.rpmsave ]; then
	cp -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	mv -f /etc/httpd/%{name}.conf.rpmsave %{_sysconfdir}/httpd.conf
fi

# migrate from httpd (apache2) config dir
if [ -f /etc/httpd/httpd.conf/90_%{name}.conf.rpmsave ]; then
	cp -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	mv -f /etc/httpd/httpd.conf/90_%{name}.conf.rpmsave %{_sysconfdir}/httpd.conf
fi

rm -f /etc/httpd/httpd.conf/90_%{name}.conf
/usr/sbin/webapp register httpd %{_webapp}
%service -q httpd reload

%files
%defattr(644,root,root,755)
%doc BUGS FAQ NEWS README README.CONTRIB README.NETSCAPE README.USERAGENT TODO UPGRADING INSTALL
%{_mandir}/man?/*
%attr(2775,root,mailman) %dir %{_sysconfdir}
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(644,root,mailman) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mm_cfg.py
%attr(644,root,mailman) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sitelist.cfg
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
/etc/smrsh/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}

%attr(754,root,root) /etc/rc.d/init.d/%{name}

%defattr(644,root,mailman,2775)
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/bin
%dir %{_libdir}/%{name}/cgi-bin
%dir %{_libdir}/%{name}/cron
%dir %{_libdir}/%{name}/icons
%dir %{_libdir}/%{name}/mail
%dir %{_libdir}/%{name}/scripts
%dir %{_libdir}/%{name}/templates
%dir %{_libdir}/%{name}/pythonlib
%dir %{_libdir}/%{name}/messages
%dir %{_libdir}/%{name}/tests
%{_libdir}/%{name}/Mailman
%{_libdir}/%{name}/bin/p*
%attr(2755,root,mailman) %{_libdir}/%{name}/bin/[!p]*
%attr(2755,root,mailman) %{_libdir}/%{name}/cgi-bin/*
%attr(755,root,mailman) %{_libdir}/%{name}/cron/bumpdigests
%attr(755,root,mailman) %{_libdir}/%{name}/cron/checkdbs
%attr(755,root,mailman) %{_libdir}/%{name}/cron/disabled
%attr(755,root,mailman) %{_libdir}/%{name}/cron/gate_news
%attr(755,root,mailman) %{_libdir}/%{name}/cron/mailpasswds
%attr(755,root,mailman) %{_libdir}/%{name}/cron/nightly_gzip
%attr(755,root,mailman) %{_libdir}/%{name}/cron/senddigests
%{_libdir}/%{name}/cron/crontab.in
%{_libdir}/%{name}/cron/paths.py*
%{_libdir}/%{name}/scripts/*
%{_libdir}/%{name}/icons/*
%attr(2755,root,mailman) %{_libdir}/%{name}/mail/*
%{_libdir}/%{name}/templates/*
%{_libdir}/%{name}/pythonlib/*
%{_libdir}/%{name}/messages/*
%{_libdir}/%{name}/tests/*

%dir %{_var}/lib/%{name}
%dir %{_var}/lib/%{name}/archives
%attr(2771,root,mailman) %dir %{_var}/lib/%{name}/archives/private
%dir %{_var}/lib/%{name}/archives/public
%{_var}/lib/%{name}/data
%dir %{_var}/lib/%{name}/lists
%dir %{_var}/lib/%{name}/spam
%dir %{_queuedir}
%dir %{_lockdir}
%dir %{_logdir}
%dir %{_logarchdir}
%dir %{_piddir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mailman.spec,v $
Revision 1.129  2007/02/01 13:29:30  baggins
- release 3
- dropped bogus -enconding patch
	UnboundLocalError: local variable 'header' referenced before assignment

Revision 1.128  2006/10/01 17:43:37  glen
- rel 2

Revision 1.127  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.126  2006/09/15 11:26:47  abram
- return to Epoch 5, my mistake

Revision 1.125  2006/09/15 11:05:07  abram
- rel 1 for 2.1.9

Revision 1.124  2006/09/14 18:22:41  abram
- upgrade to 2.1.9

Revision 1.123  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.122  2006/06/18 18:07:36  blues
- releae 2 - STBR to AC

Revision 1.121  2006/06/18 17:39:22  blues
- reverted epoch 5, downgraded in cvs release 1.90.

Revision 1.120  2006/04/18 13:30:40  abram
- up to 2.1.8

Revision 1.119  2006/04/15 12:59:44  glen
- rel 5

Revision 1.118  2006/03/10 13:17:10  baggins
- release 4
- apache 2.2 compatibility fix in conf file

Revision 1.117  2006/03/05 14:42:52  glen
- use %service, adapterize, cosmetics

Revision 1.116  2006/02/05 14:51:53  baggins
- release 3

Revision 1.115  2006/02/04 11:23:50  glen
- add apache1 support

Revision 1.114  2006/02/03 22:44:20  baggins
- fixed requires

Revision 1.113  2006/02/03 15:08:20  baggins
- 64bit fix

Revision 1.112  2006/02/02 15:46:29  baggins
- fixed update

Revision 1.111  2006/02/02 15:43:08  baggins
- remove more junk in trigger

Revision 1.110  2006/02/02 15:36:56  baggins
- typo

Revision 1.109  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.108  2006/02/02 14:40:54  baggins
- fix copy-pastos

Revision 1.107  2006/02/02 14:30:25  baggins
- fix macro

Revision 1.106  2006/02/02 14:27:57  baggins
- more FHS

Revision 1.105  2006/02/02 14:09:17  baggins
- missing file

Revision 1.104  2006/02/02 14:04:17  baggins
- release back to 2.1
- FHS compliance work

Revision 1.103  2006/02/02 13:38:14  baggins
- run update before restart

Revision 1.102  2006/02/02 13:33:03  baggins
- release 3
- working webapps support

Revision 1.101  2006/02/02 13:29:22  baggins
- epoch for trigger

Revision 1.100  2006/02/02 13:23:29  baggins
- merged triggerpostun

Revision 1.99  2006/02/02 13:19:32  baggins
- always-run trigger moved to post

Revision 1.98  2006/02/02 13:13:53  baggins
- fixed trigger

Revision 1.97  2006/02/02 13:11:31  baggins
- rel 2.1
- webapp support

Revision 1.96  2006/01/31 20:56:13  qboosh
- cleanup

Revision 1.95  2006/01/11 18:28:06  arekm
- rel 2

Revision 1.94  2006/01/11 08:50:23  arekm
- regenerate pyc files with proper paths

Revision 1.93  2006/01/07 17:03:08  arekm
- updated to 2.1.7

Revision 1.92  2005/12/29 08:11:04  abram
- release 1
- added logrotate file
- STBR test

Revision 1.91  2005/12/20 22:24:26  darekr
- simplify %setup

Revision 1.90  2005/12/20 21:47:52  abram
- up from 2.1.6rc to 2.1.6
- change options in configure for mail/mailman
- added missing qfiles
- tested on local machine, it is time for lists.pld-linux.org 8-)
- web panel for admin works
  TODO:
- script for logrotate
- cosmetics for build and install
- need more test
- there is 2.1.7 beta, but first close 2.1.6 in pld ;-)
  DO NOT SEND TO BUILD REQUEST !

Revision 1.89  2005/09/09 14:08:27  qboosh
- sorted verify() flags

Revision 1.88  2005/09/09 13:48:37  blues
- release 1 - fixed cron perms to make it working with current vixie-cron,
  this version of mailman works nice, STBR

Revision 1.87  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.86  2005/04/21 17:29:43  qboosh
- reverted bogus BR

Revision 1.85  2005/04/20 09:01:25  blues
- according to buildlogs - it's needed

Revision 1.84  2005/04/15 23:47:09  qboosh
- updated md5

Revision 1.83  2005/04/15 23:46:14  qboosh
- fixed Source0

Revision 1.82  2005/04/15 23:20:21  blues
- 2.1.6rc1 - bunch of RH patches. Some FHS compliance (needs finishing,
  logrotate file). administrative interface still does not work... :(

Revision 1.81  2005/04/15 19:42:13  darekr
- gpm-friendly Source0

Revision 1.80  2005/04/15 16:14:49  blues
- release 6

Revision 1.79  2005/04/15 15:26:18  blues
- added official CAN-2005-0202.txt patch, NFY

Revision 1.78  2004/12/26 17:11:19  saq
- use pyrequires_eq
- release 5

Revision 1.77  2004/10/29 09:32:30  blues
- run update when upgrading from older version than currently instaled...

Revision 1.76  2004/10/13 23:21:19  ankry
- %userremove/%groupremove support, standardized

Revision 1.75  2004/10/04 21:22:44  jajcus
- more READMEs, another TODO item

Revision 1.74  2004/10/01 04:30:32  ankry
- remove pl diacritic characters from reminder, if nobody has better fiz, rel. 3, STBR

Revision 1.73  2004/07/03 18:10:27  arekm
- reencode line with list/pass information, too

Revision 1.72  2004/07/02 18:03:15  arekm
- fix pl patch applying; add patch that fixes -1 jobs todo problem

Revision 1.71  2004/07/01 10:11:35  blues
- release 2, pl_fix patch added, more fixes needed

Revision 1.70  2004/06/13 00:37:14  arekm
- updating from newer to older version is not an update - 2.1.5c2 is candidate 2. reverted to final 2.1.5

Revision 1.69  2004/05/24 15:36:38  leafnode
- updated to 2.1.5c2

Revision 1.68  2004/05/17 00:47:31  arekm
- 2.1.5

Revision 1.67  2004/04/27 18:33:30  arekm
- rel 1

Revision 1.66  2004/01/02 17:06:57  arekm
- updated to 2.1.4

Revision 1.65  2003/10/07 10:52:03  qboosh
- sed is already required by rpm-build

Revision 1.64  2003/10/04 15:00:18  arekm
- updated to 2.1.3

Revision 1.63  2003/10/04 14:46:46  arekm
- applied patch by mkochano and changed to work with apache2 by
  default (works with apache1, too if you are smart enough to know
  what to do)

Revision 1.62  2003/09/24 16:05:29  malekith
- br automake

Revision 1.61  2003/08/18 08:08:19  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.60  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.59  2003/07/31 05:52:44  orzech
- fixed build: pl translation has been incorporated

Revision 1.58  2003/07/29 14:17:59  qboosh
- added missing Requires(): chkconfig or PreReq: rc-scripts

Revision 1.57  2003/07/25 09:26:47  orzech
- up to 2.1.2 (as TODO)

Revision 1.56  2003/05/28 12:59:40  malekith
- massive attack: source-md5

Revision 1.55  2003/05/25 05:50:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.54  2003/05/17 06:02:00  pascalek
- revert user changes

Revision 1.53  2003/05/10 11:27:52  pascalek
- Req user-mailman

Revision 1.52  2003/03/20 09:52:46  orzech
- now mailman can speak polish
- rel 3

Revision 1.51  2003/03/14 13:33:09  qboosh
- added pl translations (Source5), release 2

Revision 1.50  2003/01/31 22:41:46  mmazur
- added missing BR (argh!!!!!!!!!)

Revision 1.49  2003/01/30 09:18:32  speedy
- release 1
- fixed perms

Revision 1.48  2003/01/27 17:33:02  speedy
- fixed security issues.

Revision 1.47  2003/01/24 11:02:19  orzech
- fixed typos
- ready for testing
- TODO: mark i18n stuff using %lang()

Revision 1.46  2003/01/24 10:35:45  orzech
- added sysconfig
- rel 0.8

Revision 1.45  2003/01/23 15:49:13  orzech
- typo

Revision 1.44  2003/01/23 15:46:07  orzech
- init script added

Revision 1.43  2003/01/23 14:34:47  orzech
- added missing dir

Revision 1.42  2003/01/23 14:05:54  orzech
- fixed config file location and handling
- cleanup

Revision 1.41  2003/01/23 13:36:12  speedy
- mail,cgi gid fixed, archive url fixed

Revision 1.40  2003/01/23 13:02:32  speedy
- fixed, working

Revision 1.39  2003/01/23 08:34:53  speedy
- omitted files

Revision 1.38  2003/01/23 07:38:03  speedy
- now builds but unusable

Revision 1.37  2003/01/23 07:25:52  speedy
- cosmetics.

Revision 1.36  2003/01/20 21:32:52  qboosh
- umask in scripts

Revision 1.35  2003/01/10 19:37:58  orzech
- started update to 2.1

Revision 1.34  2002/12/28 12:26:52  orzech
- rel. 8

Revision 1.33  2002/12/28 11:42:47  orzech
- fixed scripts

Revision 1.32  2002/12/24 09:55:21  orzech
- moved cron jobs to /etc/cron.d
- added trigger

Revision 1.31  2002/12/16 18:35:02  orzech
- TODO

Revision 1.30  2002/12/07 13:30:08  orzech
- config for apache
- typos

Revision 1.29  2002/11/12 21:34:46  kloczek
- release 6,
- fixed http://bugs.pld.org.pl/?bug=426 (missing restart crond on install
  package after add mailman user to cron.allow),
- added restart crond on remove package,
- added remove mailman user from cron.allow on remove package,
- added crondaemon to Requires.

Revision 1.28  2002/09/23 12:32:11  orzech
- Req: python-modules
- release 5

Revision 1.27  2002/09/10 13:35:14  baggins
- requires(post) /bin/hostname

Revision 1.26  2002/09/09 17:24:42  baggins
- do some basic setup in %post

Revision 1.25  2002/09/09 16:56:41  baggins
- more permission fixes

Revision 1.24  2002/09/09 16:45:09  baggins
- release 4
- cleaned up permissions mess

Revision 1.23  2002/09/09 16:22:05  baggins
- release 3.1
- FHS compliance - /var/state -> /var/lib

Revision 1.22  2002/09/01 19:54:45  kloczek
- relelase 3,
- added no_env patch: use directly #!/usr/bin/python in python scripts preamble
  so now mailman do not depends on /usr/bin/env.

Revision 1.21  2002/08/26 15:52:36  ankry
- added missing dir, release 2
- STBR

Revision 1.20  2002/08/26 10:51:09  qboosh
- GPL v2+

Revision 1.19  2002/08/24 11:01:34  kloczek
- License: GPL v2.

Revision 1.18  2002/08/22 21:32:57  undefine
- mailman-configure.patch is back

Revision 1.17  2002/08/22 21:12:44  undefine
- remove debug value for mailgid

Revision 1.16  2002/08/22 17:48:34  undefine
- update to 2.0.13(small fixes)
- right(i think ;) permissions
- useradd/userdel/cron...
- it works for me

Revision 1.15  2002/08/06 02:50:37  kloczek
- updated to 2.0.12: closed two cross-site scripting vulnerabilities.

Revision 1.14  2002/05/21 23:14:07  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/05/07 12:13:15  kloczek
- Epoch: 3 (for allow upgrade from RH).

Revision 1.12  2002/05/07 11:37:51  ankry
- updated to 2.0.10, NFY

Revision 1.11  2002/05/06 23:37:29  ankry
- fixed file permisions
- added man pages from Debian
- release 2

Revision 1.10  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:13:47  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/22 09:28:57  kloczek
- added logrotate and smtpdaemon to Requires.

Revision 1.7  2001/12/14 20:18:22  kloczek
- merge translations from Conectiva.

Revision 1.6  2001/12/14 19:47:27  misiek
- 2.0.3->2.0.8

Revision 1.5  2001/10/11 08:28:40  qboosh
- BuildRequires: automake

Revision 1.4  2001/06/16 18:34:02  kloczek
- adapterized.

Revision 1.3  2001/04/12 21:59:53  martii
- It's not builing when Python is not present in your linux box; fixed ...

Revision 1.2  2001/03/21 14:45:55  mis
- updated (by autoup) to 2.0.3

Revision 1.1  2001/03/04 11:34:16  misiek
- new; almost raw
